jQuery(document).ready(function ($) {
    $('.wcai-chk-switch:not(:disabled)').each(function () {
        var chk = $(this);
        var chkLabel = $(this).next('label');
        if (chk.is(':checked')) {
            chkLabel.addClass('wcai-chk-switch-on');
            chkLabel.removeClass('wcai-chk-switch-off');
            if (chkLabel.hasClass('wcai-chk-single')) {
                chkLabel.html(wcaiBackendVars.wcaiText_Yes);
            }
        } else {
            chkLabel.addClass('wcai-chk-switch-off');
            chkLabel.removeClass('wcai-chk-switch-on');
            if (chkLabel.hasClass('wcai-chk-single')) {
                chkLabel.html(wcaiBackendVars.wcaiText_No);
            }
        }
    });

    $('.wcai-chk-switch:not(:disabled)').click(function () {
        var chk = $(this);
        var chkLabel = $(this).next('label');
        if (chk.is(':checked')) {
            chkLabel.addClass('wcai-chk-switch-on');
            chkLabel.removeClass('wcai-chk-switch-off');
            if (chkLabel.hasClass('wcai-chk-single')) {
                chkLabel.html(wcaiBackendVars.wcaiText_Yes);
            }
        } else {
            chkLabel.addClass('wcai-chk-switch-off');
            chkLabel.removeClass('wcai-chk-switch-on');
            if (chkLabel.hasClass('wcai-chk-single')) {
                chkLabel.html(wcaiBackendVars.wcaiText_No);
            }
        }
    });

    $(document).delegate('.wcai-reset-options', 'click', function (e) {
        if (!confirm(wcaiBackendVars.wcaiConfirmResetOptions)) {
            e.preventDefault();
            return false;
        }
    });
});