<?php
if (!defined('ABSPATH')) {
    exit();
}
ob_start();
if (isset($_POST['wcaiAjaxData']) && $_POST['wcaiAjaxData']) {
    parse_str($_POST['wcaiAjaxData'], $data);
    $page = isset($data['page']) ? intval($data['page']) : 0;
    $commentId = isset($data['commentId']) ? $data['commentId'] : 0;
    $action = isset($data['action']) ? $data['action'] : '';
    $comment = get_comment($commentId);
    if ($comment && $action) {
        $user = get_user_by('ID', $comment->user_id);
        if (!$user && $wpdiscuz->optionsSerialized->isUserByEmail) {
            $user = get_user_by('email', $comment->comment_author_email);
        }
        $lrItemsCount = 3;
        $perPage = $this->options->perPage;
        $offset = $page * $perPage;
        $items = $this->dbManager->getGivenLikesDislikes($user->ID, $perPage, $offset);
        if ($items && is_array($items)) {
            $itemsCount = $this->dbManager->getGivenLikesDislikesCount($user->ID);
            $pCount = intval($itemsCount / $perPage);
            $pageCount = ($itemsCount % $perPage == 0) ? $pCount : $pCount + 1;
            foreach ($items as $item) {
                $itemId = $item->comment_id;
                $voteType = $item->vote_type;
                $item = get_comment($itemId);
                if ($item) {
                    if ($voteType === '1') {
                        $voteColor = '#118b26';
                        $voteIcon = 'fa-thumbs-up';
                    } else {
                        $voteColor = '#e8484a';
                        $voteIcon = 'fa-thumbs-down';
                    }
                    include 'item.php';
                }
            }
            include WCAI_DIR_PATH . '/includes/layouts/pagination.php';
        } else {
            ?>
            <div class='wcai-item'>
                <?php print $this->options->phraseNoData ? $this->options->phraseNoData : __('No Data', 'wpdiscuz-comment-author-info'); ?>
            </div>
            <?php
        }
    }
}
$html .= ob_get_contents();
ob_end_clean();
