jQuery(document).ready(function ($) {

    $('#wou-reset-options').click(function (e) {
        if (!confirm(wouBackendVars.msgConfirmResetOptions)) {
            e.preventDefault();
            return false;
        }
    });

    $('.wou-chk-switch:not(:disabled)').each(function () {
        var chk = $(this);
        var chkLabel = $(this).next('label');
        if (chk.is(':checked')) {
            chkLabel.addClass('wou-chk-switch-on');
            chkLabel.removeClass('wou-chk-switch-off');
            if (chkLabel.hasClass('wou-chk-single')) {
                chkLabel.html(wouBackendVars.wouText_Yes);
            }
        } else {
            chkLabel.addClass('wou-chk-switch-off');
            chkLabel.removeClass('wou-chk-switch-on');
            if (chkLabel.hasClass('wou-chk-single')) {
                chkLabel.html(wouBackendVars.wouText_No);
            }
        }
    });

    $('.wou-chk-switch:not(:disabled)').click(function () {
        var chk = $(this);
        var chkLabel = $(this).next('label');
        if (chk.is(':checked')) {
            chkLabel.addClass('wou-chk-switch-on');
            chkLabel.removeClass('wou-chk-switch-off');
            if (chkLabel.hasClass('wou-chk-single')) {
                chkLabel.html(wouBackendVars.wouText_Yes);
            }
        } else {
            chkLabel.addClass('wou-chk-switch-off');
            chkLabel.removeClass('wou-chk-switch-on');
            if (chkLabel.hasClass('wou-chk-single')) {
                chkLabel.html(wouBackendVars.wouText_No);
            }
        }
    });
});