jQuery(document).ready(function ($) {
    $(document).delegate('.wc_private_btn', 'click', function (e) {
        var btn = $(this);
        $('.fas', btn).addClass('fa-pulse fa-spinner');
        var commentId = btn.data('comment');
        var status = $('.fas', btn).hasClass('fa-eye-slash') ? 'private' : 'public';
        $.ajax({
            type: 'POST',
            url: ajaxurl,
            data: {
                action: 'wpdPrivateCommentChangeStatus',
                html_id: 'wpdiscuz_private_comment_' + commentId,
                status: status
            },
        }).done(function (response) {
            try {
                $('.fas', btn).removeClass('fa-pulse fa-spinner');
                var resp = $.parseJSON(response);
                if (resp.code == 1) {
                    $('.wc_private_text', btn).text(resp.text);
                    $('.fas', btn).removeClass(status === 'private' ? 'fa-eye-slash' : 'fa-eye');
                    $('.fas', btn).addClass(status === 'private' ? 'fa-eye' : 'fa-eye-slash');
                } else {
                    console.log('Comment not updated');
                }
            } catch (e) {
                console.log(e);
            }
            $('.wpdiscuz-loading-bar').fadeOut(250);
        });
        e.preventDefault();
        return false;
    });
});