if (document.getElementsByClassName('wpdiscuz-recaptcha').length) {
    var widgets = [];
    var onloadCallback = function () {
        grecaptcha.render('wpdiscuz-recaptcha-0_0', {
            'sitekey': wpdiscuzAjaxObj.wpdiscuz_options.wpDiscuzReCaptchaSK,
            'theme': wpdiscuzAjaxObj.wpdiscuz_options.wpDiscuzReCaptchaTheme,
            'callback': function (response) {
                jQuery('#wpdiscuz-recaptcha-field-0_0').val('key');
            },
            'expired-callback': function () {
                jQuery('#wpdiscuz-recaptcha-field-0_0').val("");
            }
        });
    };

    jQuery(document).ready(function ($) {
        setTimeout(function () {
            widgets[0] = grecaptcha.render('wpdiscuz-recaptcha-subscribe-form', {
                'sitekey': wpdiscuzAjaxObj.wpdiscuz_options.wpDiscuzReCaptchaSK,
                'theme': wpdiscuzAjaxObj.wpdiscuz_options.wpDiscuzReCaptchaTheme,
                'callback': function (response) {
                    $('#wpdiscuz-recaptcha-field-subscribe-form').val('key');
                },
                'expired-callback': function () {
                    $('#wpdiscuz-recaptcha-field-subscribe-form').val("");
                }
            });
        }, 1000);

        $(document).delegate('#wpdiscuz-subscribe-form', 'submit', function (e) {
            if (wpdiscuzAjaxObj.wpdiscuz_options.wpDiscuzIsShowOnSubscribeForm) {
                if (!$('#wpdiscuz-recaptcha-field-subscribe-form').val()) {
                    $('.wpdiscuz-recaptcha', $(this)).css('border', '1px solid red');
                    e.preventDefault();
                } else {
                    $('.wpdiscuz-recaptcha', $(this)).css('border', 'none');
                }
            }
        });

        $(document).delegate('.wc-reply-button', 'click', function () {
            var uniqueId = wpdiscuzRCGetUniqueId($(this));
            var commentId = wpdiscuzRCGetCommentId(uniqueId);
            setTimeout(function () {
                if (!widgets[commentId]) {
                    widgets[commentId] = grecaptcha.render('wpdiscuz-recaptcha-' + uniqueId, {
                        'sitekey': wpdiscuzAjaxObj.wpdiscuz_options.wpDiscuzReCaptchaSK,
                        'theme': wpdiscuzAjaxObj.wpdiscuz_options.wpDiscuzReCaptchaTheme,
                        'callback': function (response) {
                            $('#wpdiscuz-recaptcha-field-' + uniqueId).val('key');
                        },
                        'expired-callback': function () {
                            $('#wpdiscuz-recaptcha-field-' + uniqueId).val("");
                        }
                    });
                }
            }, 1000);

        });


        $(document).delegate('.wc_comm_submit', 'click', function () {
            var uniqueId = wpdiscuzRCGetUniqueId($(this));
            var commentId = 0;
            if (uniqueId) {
                commentId = wpdiscuzRCGetCommentId(uniqueId)
            }
            grecaptcha.reset(widgets[commentId]);
        });

        function wpdiscuzRCGetUniqueId(field) {
            var uniqueId = 0;
            if (field.parents('.wc-comment').attr('id')) {
                uniqueId = field.parents('.wc-comment').attr('id');
            }
            if (uniqueId !== 0 && uniqueId.length) {
                uniqueId = uniqueId.substring(uniqueId.lastIndexOf('-') + 1);
            }
            return uniqueId;
        }

        function wpdiscuzRCGetCommentId(uniqueId) {
            return uniqueId.substring(0, uniqueId.indexOf('_'));
        }
    });
}

jQuery(document).ready(function ($) {
    var ww = $(window).width();
    var wpcomm = $('#wpcomm').width();
    if (wpcomm >= 1100) {
        $("#wpcomm .wc_main_comm_form .wc-field-captcha .wpdiscuz-recaptcha").css({"transform-origin": "right 0", "-webkit-transform-origin": "right 0", "transform": "scale(0.9)", "-webkit-transform": "scale(0.9)"});
        $("#wpcomm .wc-secondary-form-wrapper .wc-field-captcha .wpdiscuz-recaptcha").css({"transform-origin": "right 0", "-webkit-transform-origin": "right 0", "transform": "scale(0.9)", "-webkit-transform": "scale(0.9)"});
        $("#wpcomm .wc_main_comm_form .wpd-form-col-left").css({"width": "65%"});
        $("#wpcomm .wc_main_comm_form .wpd-form-col-right").css({"width": "35%"});
    }
    if (wpcomm >= 940 && wpcomm < 1100) {
        $("#wpcomm .wc_main_comm_form .wc-field-captcha .wpdiscuz-recaptcha").css({"transform-origin": "right 0", "-webkit-transform-origin": "right 0", "transform": "scale(0.9)", "-webkit-transform": "scale(0.9)"});
        $("#wpcomm .wc-secondary-form-wrapper .wc-field-captcha .wpdiscuz-recaptcha").css({"transform-origin": "right 0", "-webkit-transform-origin": "right 0", "transform": "scale(0.9)", "-webkit-transform": "scale(0.9)"});
        $("#wpcomm .wc_main_comm_form .wpd-form-col-left").css({"width": "60%"});
        $("#wpcomm .wc_main_comm_form .wpd-form-col-right").css({"width": "40%"});
    }
    if (wpcomm >= 810 && wpcomm < 940) {
        $("#wpcomm .wc_main_comm_form .wc-field-captcha .wpdiscuz-recaptcha").css({"transform": "scale(0.9)", "-webkit-transform": "scale(0.9)"});
        $("#wpcomm .wc-secondary-form-wrapper .wc-field-captcha .wpdiscuz-recaptcha").css({"transform": "scale(0.8)", "-webkit-transform": "scale(0.8)"});
        $("#wpcomm .wc-secondary-form-wrapper .wpd-form-col-left").css({"width": "40%"});
        $("#wpcomm .wc-secondary-form-wrapper .wpd-form-col-right").css({"width": "60%"});
    }
    if (wpcomm >= 730 && wpcomm < 810) {
        $("#wpcomm .wc_main_comm_form .wc-field-captcha .wpdiscuz-recaptcha").css({"transform": "scale(0.9)", "-webkit-transform": "scale(0.9)"});
        $("#wpcomm .wc-secondary-form-wrapper .wc-field-captcha .wpdiscuz-recaptcha").css({"transform-origin": "right 0", "-webkit-transform-origin": "right 0", "transform": "scale(0.8)", "-webkit-transform": "scale(0.8)"});
        $("#wpcomm .wc-secondary-form-wrapper .wpd-form-col-left").css({"width": "45%"});
        $("#wpcomm .wc-secondary-form-wrapper .wpd-form-col-right").css({"width": "55%"});
    }
    if (wpcomm >= 610 && wpcomm < 730) {
        $("#wpcomm .wc_main_comm_form .wc-field-captcha .wpdiscuz-recaptcha").css({"transform": "scale(0.85)", "-webkit-transform": "scale(0.85)"});
        $("#wpcomm .wc-secondary-form-wrapper .wc-field-captcha .wpdiscuz-recaptcha").css({"transform": "scale(0.8)", "-webkit-transform": "scale(0.8)"});
        $("#wpcomm .wc_main_comm_form .wpd-form-col-left").css({"width": "43%"});
        $("#wpcomm .wc_main_comm_form .wpd-form-col-right").css({"width": "57%"});
        $("#wpcomm .wc-secondary-form-wrapper .wpd-form-col-left").css({"width": "30%"});
        $("#wpcomm .wc-secondary-form-wrapper .wpd-form-col-right").css({"width": "70%"});
    }
    if (ww > 650) {
        if (wpcomm >= 510 && wpcomm < 610) {
            $("#wpcomm .wc_main_comm_form .wc-field-captcha .wpdiscuz-recaptcha").css({"transform-origin": "center 0", "-webkit-transform-origin": "center 0", "transform": "scale(0.77)", "-webkit-transform": "scale(0.77)"});
            $("#wpcomm .wc-secondary-form-wrapper .wc-field-captcha .wpdiscuz-recaptcha").css({"transform-origin": "right 0", "-webkit-transform-origin": "right 0", "transform": "scale(0.77)", "-webkit-transform": "scale(0.77)"});
            $("#wpcomm .wc_main_comm_form .wpd-form-col-left").css({"width": "35%"});
            $("#wpcomm .wc_main_comm_form .wpd-form-col-right").css({"width": "65%"});
            $("#wpcomm .wc-secondary-form-wrapper .wpd-form-col-left").css({"width": "30%", "position": "relative", "right": "-60px"});
            $("#wpcomm .wc-secondary-form-wrapper .wpd-form-col-right").css({"width": "70%"});
            $("#wpcomm .wc-secondary-form-wrapper .wc-form-footer").css({"margin-left": "0px"});
        }
        if (wpcomm >= 470 && wpcomm < 510) {
            $("#wpcomm .wc_main_comm_form .wc-field-captcha .wpdiscuz-recaptcha").css({"transform-origin": "center 0", "-webkit-transform-origin": "center 0", "transform": "scale(0.77)", "-webkit-transform": "scale(0.77)"});
            $("#wpcomm .wc-secondary-form-wrapper .wc-field-captcha .wpdiscuz-recaptcha").css({"transform-origin": "right 0", "-webkit-transform-origin": "right 0", "transform": "scale(0.77)", "-webkit-transform": "scale(0.77)"});
            $("#wpcomm .wc_main_comm_form .wpd-form-col-left").css({"width": "40%"});
            $("#wpcomm .wc_main_comm_form .wpd-form-col-right").css({"width": "60%"});
            $("#wpcomm .wc-secondary-form-wrapper .wpd-form-col-left").css({"float": "none", "width": "100%", "display": "block"});
            $("#wpcomm .wc-secondary-form-wrapper .wpd-form-col-right").css({"float": "none", "width": "100%", "display": "block"});
            $("#wpcomm .wc_main_comm_form .wc-form-footer").css({"margin-left": "0px"});
            $("#wpcomm .wc-secondary-form-wrapper .wc-form-footer").css({"margin-left": "0px"});
        }
        if (wpcomm < 470) {
            $("#wpcomm .wc-secondary-form-wrapper .wc-field-captcha .wpdiscuz-recaptcha").css({"margin": "0px auto", "transform-origin": "center 0", "-webkit-transform-origin": "center 0", });
            $("#wpcomm .wpd-form-col-left").css({"float": "none", "width": "100%", "display": "block"});
            $("#wpcomm .wpd-form-col-right").css({"float": "none", "width": "100%", "display": "block"});
            $("#wpcomm .wc-secondary-form-wrapper .wc-form-footer").css({"margin-left": "0px"});
            $("#wpcomm .wc-secondary-form-wrapper .wc_notification_checkboxes").css({"text-align": "center"});
            $("#wpcomm .wc-secondary-form-wrapper .wc-field-submit").css({"text-align": "center"});
        }
    }
});


