jQuery(document).ready(function ($) {

    var isAdPage = location.href.indexOf(wamDashVars.wamAdsUrl) >= 0 || wamDashVars.wamPostType == 1;
    var isBannerPage = location.href.indexOf(wamDashVars.wamBannersUrl) >= 0;

    if (isAdPage || isBannerPage) {
        $('li#menu-comments').removeClass('wp-not-current-submenu');
        $('li#menu-comments > a').removeClass('wp-not-current-submenu');
        $('li#menu-comments').addClass('wp-has-current-submenu');
        $('li#menu-comments > a').addClass('wp-has-current-submenu');
        if (isAdPage) {
            $('li#menu-comments .wp-submenu li a:contains("' + wamDashVars.wamAdsMenuTitle + '")').addClass('current');
        } else if (isBannerPage) {
            $('li#menu-comments .wp-submenu li a:contains("' + wamDashVars.wamBannersMenuTitle + '")').addClass('current');
        }
        $('li#menu-comments .wp-submenu li a.current').parent().addClass('current');
    }

    $(function () {
        $(".wam-ad-start").datepicker({
            dateFormat: 'yy-mm-dd',
            changeMonth: true,
            changeYear: true,
            numberOfMonths: 1,
            onClose: function (selectedDate) {
                $(".wam-ad-end").datepicker("option", "minDate", selectedDate);
            }
        });
        $(".wam-ad-end").datepicker({
            dateFormat: 'yy-mm-dd',
            changeMonth: true,
            changeYear: true,
            numberOfMonths: 1,
            onClose: function (selectedDate) {
                $(".wam-ad-start").datepicker("option", "maxDate", selectedDate);
            }
        });
    });

    if ($('#_wam_banner_location').val() == wamDashVars.wamLocationList) {
        $('.wam-meta-repeats').show();
    } else {
        $('.wam-meta-repeats').hide();
    }

    $(document).delegate('#_wam_banner_location', 'change', function () {
        if ($(this).val() == wamDashVars.wamLocationList) {
            $('.wam-meta-repeats').show();
        } else {
            $('.wam-meta-repeats').hide();
        }
    });

    $('.wam-status').click(function (e) {
        if ($(this).hasClass('wam-status-ended')) {
            e.preventDefault();
            alert(wamDashVars.wamStatusEnded);
        } else {
            confirm(wamDashVars.wamConfirm);
        }
    });

});