jQuery(document).ready(function ($) {
    var voteAjax = "";
    $('body').delegate('.wv-view-all-button:not(.wv-view-all-button-clicked)', 'click', function () {
        var voteResult = $(this);
        var voteType = 'total';
        if ($(this).hasClass('wv-view-all-button-dislike')) {
            voteType = 'dislike';
        } else if ($(this).hasClass('wv-view-all-button-like')) {
            voteType = 'like';
        }
        var id = $(this).parents('.wc-comment-right').attr('id');
        id = id.substring(id.lastIndexOf('-') + 1);
        var wvHead = voteResult.parents('.wc-footer-left').find('.wv-body[data-type=' + voteType + '] .wv-head');
        $(this).addClass('wv-view-all-button-clicked');
        ajaxVote(id, 'viewAll', voteResult, voteType, wvHead);
    });
    $('body').delegate('.wv-read_more', 'click', function () {
        $(".wv-read_more").remove();
        var id = $(".wv_hidden_id").val();
        $(".wv_hidden_id").remove();
        var page = $(".wv_hidden_page").val();
        $(".wv_hidden_page").remove();
        var type = $(".wv_hidde_type").val();
        $(".wv_hidde_type").remove();
        var ajaxVoteSeparateNew = ajaxSend(id, type, "viewAll", page);
        ajaxVoteSeparateNew.done(function (response) {
            $('.wpdiscuz-loading-bar').hide();
            $('.wv-all-html').append(response);
        });
    });
    $('body').delegate('.vote-head', 'mouseover mouseout', function (e) {
        if (e.type == 'mouseover') {
            $(this).stop().show();
        } else if (e.type == 'mouseout') {
            $(this).stop().hide();
        }
    });
    $('.wv-view-all').click(function () {
        $(".wv-all-html").hide();
        $('.wv-all-html').html("");
        $('.wv-view-all').hide();
    });
    $('body').delegate('.wc-vote-result', 'mouseout', function () {
        if (voteAjax) {
            voteAjax.abort();
        }
        $('.wpdiscuz-loading-bar').hide();
        $('.vote-head').hide();
    });
    $('body').delegate('.wc-vote-result', 'mouseenter', function () {
        var voteResult = $(this);
        var voteType = 'total';
        if ($(this).hasClass('wc-vote-result-dislike')) {
            voteType = 'dislike';
        } else if ($(this).hasClass('wc-vote-result-like')) {
            voteType = 'like';
        }
        var id = voteResult.parents('.wc-comment-right').attr('id');
        id = id.substring(id.lastIndexOf('-') + 1);
        var wvHead = voteResult.parents('.wc-footer-left').find('.wv-body[data-type=' + voteType + '] .wv-head');
        if (voteResult.hasClass('wv-hovered')) {
            wvHead.show();
        } else {
            ajaxVote(id, 'voters', voteResult, voteType, wvHead);
        }
    });
    wpdiscuzAjaxObj.voteRealTime = function (messageKey, commentID, voteType) {
        try {
            if (parseInt(messageKey) >= 0) {
                voteType = parseInt(voteType);
                var voteTypeOld = 0;
                if ($('#comment-' + commentID).find('.wc-up').children('i').hasClass("wv-up-color")) {
                    voteTypeOld = 1;
                }
                if ($('#comment-' + commentID).find('.wc-down').children('i').hasClass("wv-down-color")) {
                    voteTypeOld = -1;
                }
                if (voteTypeOld == 0) {
                    if (voteType == 1) {
                        $('#comment-' + commentID).find('.wc-up').children('i').addClass('wv-up-color');
                    }
                    if (voteType == -1) {
                        $('#comment-' + commentID).find('.wc-down').children('i').addClass("wv-down-color");
                    }
                }
                if (voteTypeOld == -1) {
                    if (voteType == 1) {
                        $('#comment-' + commentID).find('.wc-down').children('i').removeClass("wv-down-color");
                    }
                }
                if (voteTypeOld == 1) {
                    if (voteType == -1) {
                        $('#comment-' + commentID).find('.wc-up').children('i').removeClass("wv-up-color");
                    }
                }
            }
        } catch (e) {
            console.log(e);
        }
    }
    function setHtml(html, voteResult, voteType) {
        var wvHead = voteResult.parents('.wc-footer-left').find('.wv-body[data-type=' + voteType + '] .wv-head');
        if (html) {
            if (wvHead.length) {
                wvHead.parent('.wv-body').replaceWith(html);
            } else {
                $(html).insertAfter(voteResult.parents('.wc-footer-left').find('.wc-down'));
            }
            wvHead = voteResult.parents('.wc-footer-left').find('.wv-body[data-type=' + voteType + '] .wv-head');
            wvHead.show();
        } else {
            wvHead.hide();
        }
    }
    function viewAll(html, v) {
        v.hide();
        $('.wv-all-html').html(html);
        $('.wv-view-all').show();
        $(".wv-all-html").css({"display": "flex"});
    }
    function ajaxVote(id, act, voteResult, voteType, v) {
        voteAjax = ajaxSend(id, voteType, act);
        voteAjax.done(function (response) {
            $('.wpdiscuz-loading-bar').hide();
            if (act == 'viewAll') {
                viewAll(response, v);
                $(".wv-view-all-button").removeClass("wv-view-all-button-clicked");
            } else {
                if ('no' == wpdiscuzAjaxObj.wpdiscuz_options.wvRealTime) {
                    voteResult.addClass('wv-hovered');
                }
                setHtml(response, voteResult, voteType);
            }
        });
    }
    function ajaxSend(id, typeVote, act, page) {
        page = page ? page : 1;
        $('.wpdiscuz-loading-bar').show();
        return $.ajax({
            type: 'POST',
            url: wpdiscuzAjaxObj.url,
            data: {
                page: page,
                hovered: typeVote,
                id: id,
                action: act
            }
        });
    }
});