<?php
if (!defined('ABSPATH')) {
    exit();
}
?>
<div id="wv-tab-content">
    <table class="wp-list-table widefat plugins" style="margin-top:10px; border:none;">
        <tbody>
            <tr valign="top">
                <th style="width:50%;"><span class="wpdiscuz-option-title"><?php _e("Display avatars on quick list of likers pop-up", 'wpdiscuz_likers') ?></span></th>
                <td>
                    <div class="wv-radio-inline">
                        <input type="radio" id="wv_get_avatars_yes" name="wv_get_avatars" value="yes" <?php checked($this->wvOptions['wv_get_avatars'] == 'yes'); ?> />
                        <label for="wv_get_avatars_yes"><?php _e("yes", 'wpdiscuz_likers') ?></label>
                    </div>
                    <div class="wv-radio-inline">
                        <input type="radio" id="wv_get_avatars_no" name="wv_get_avatars" value="no" <?php checked($this->wvOptions['wv_get_avatars'] == 'no'); ?> />
                        <label for="wv_get_avatars_no"><?php _e("no", 'wpdiscuz_likers') ?></label>
                    </div>
                </td>
            </tr>
            <tr valign="top">
                <th><span class="wpdiscuz-option-title"><?php _e("Real time", 'wpdiscuz_likers') ?></span></th>
                <td>
                    <div class="wv-radio-inline">
                        <input type="radio" id="wv_real_time_yes" name="wv_real_time" value="yes" <?php checked($this->wvOptions['wv_real_time'] == 'yes'); ?>/>
                        <label for="wv_real_time_yes"><?php _e("yes", 'wpdiscuz_likers') ?></label>
                    </div>
                    <div class="wv-radio-inline">
                        <input type="radio" id="wv_real_time_no" name="wv_real_time" value="no" <?php checked($this->wvOptions['wv_real_time'] == 'no'); ?>/>
                        <label for="wv_real_time_no"><?php _e("no", 'wpdiscuz_likers') ?></label>
                    </div>
                </td>
            </tr>
            <tr valign="top">
                <th><span class="wpdiscuz-option-title"><?php _e("View all", 'wpdiscuz_likers') ?></span></th>
                <td>
                    <div class="wv-radio-inline">
                        <input type="radio" id="wv_read_more_yes" class="wv-read-more-yes" name="wv_read_more" value="yes" <?php checked($this->wvOptions['wv_read_more'] == 'yes'); ?>/>
                        <label for="wv_read_more_yes"><?php _e("yes", 'wpdiscuz_likers') ?></label>
                    </div>
                    <div class="wv-radio-inline">
                        <input type="radio" id="wv_read_more_no" name="wv_read_more" value="no" <?php checked($this->wvOptions['wv_read_more'] == 'no'); ?>/>
                        <label for="wv_read_more_no"><?php _e("no", 'wpdiscuz_likers') ?></label>
                    </div>
                </td>
            </tr>
            <tr class="wv-all-get-avatar" valign="top">
                <th><span class="wpdiscuz-option-title"><?php _e("Display avatars on full likers list", 'wpdiscuz_likers') ?></span></th>
                <td>                    
                    <div class="wv-radio-inline">
                        <input type="radio" id="wv_read_more_get_avatar_yes" name="wv_read_more_get_avatar" class="wv-get-avatars-yes" value="yes" <?php checked($this->wvOptions['wv_read_more_get_avatar'] == 'yes'); ?>/>
                        <label for="wv_read_more_get_avatar_yes"><?php _e("yes", 'wpdiscuz_likers') ?></label>
                    </div>
                    <div class="wv-radio-inline">
                        <input type="radio" id="wv_read_more_get_avatar_no" name="wv_read_more_get_avatar" value="no" <?php checked($this->wvOptions['wv_read_more_get_avatar'] == 'no'); ?>/>
                        <label for="wv_read_more_get_avatar_no"><?php _e("no", 'wpdiscuz_likers') ?></label>
                    </div>
                </td>
            </tr>
            <tr valign="top">
                <th>
                    <span class="wpdiscuz-option-title">
                        <?php _e("Max number of likers on quick pop-up window", 'wpdiscuz_likers') ?>
                    </span>
                </th>
                <td>
                    <?php $usersCount = isset($this->wvOptions['wv_count']) ? $this->wvOptions['wv_count'] : '8'; ?>
                    <input class="wv-counts" max="25" min="1" type="number" name="wv_count" value="<?php echo $usersCount; ?>">
                </td>
            </tr>
            <tr valign="top">
                <th>
                    <span class="wpdiscuz-option-title">
                        <?php _e("Max number of likers on pop-up window", 'wpdiscuz_likers') ?>
                    </span>
                </th>
                <td>
                    <?php $usersCountAll = isset($this->wvOptions['wv_count_all']) ? $this->wvOptions['wv_count_all'] : '50'; ?>
                    <input class="wv-counts-all" min="1" type="number" name="wv_count_all" value="<?php echo $usersCountAll; ?>">
                </td>
            </tr>
            <tr valign="top">
                <th colspan="2">
                    <div style="margin-bottom:15px;">
                        <span class="wpdiscuz-option-title">
                            <?php _e("Comment Author Rating and Badge", 'wpdiscuz_likers') ?>
                        </span>
                    </div>
                    <div style="width:100%;">
                        <div class="wv_level_box">
                            <?php $wvLvl1IconColor = isset($this->wvOptions['wv_level'][1]['icon']['color']) ? $this->wvOptions['wv_level'][1]['icon']['color'] : '#0CD85D'; ?>
                            <div style="text-align:center;">
                                <span class="wv-icon-preview">
                                    <i class="<?php echo $this->wvOptions['wv_level'][1]['icon']['value']; ?>" style="color:<?php echo $wvLvl1IconColor; ?>"></i>
                                </span>
                            </div>
                            <div>                  
                                <input placeholder="Total Votes" name="wv_level[1][vote][value]" value="<?php echo $this->wvOptions['wv_level'][1]['vote']['value']; ?>" type="number" />
                                <p style="font-size:12px; color:#999; margin:0px;"><?php _e('Total count of votes', 'wpdiscuz_likers'); ?></p>
                            </div>
                            <div>
                                <input class="wv-iconpicker" placeholder="Badge Icon" name="wv_level[1][icon][value]" value="<?php echo $this->wvOptions['wv_level'][1]['icon']['value']; ?>" type="text" /> 
                                <div class="wv-badges-inline">
                                    <input type="checkbox" id="wv_level_1_icon" name="wv_level[1][icon][enable]" value="1" <?php checked($this->wvOptions['wv_level'][1]['icon']['enable'] == 1); ?> /> 
                                    <label for="wv_level_1_icon"><?php _e('Enable', 'wpdiscuz_likers'); ?></label>
                                </div>
                            </div>
                            <div>
                                <input placeholder="Custom Label" name="wv_level[1][label][value]" value="<?php echo $this->wvOptions['wv_level'][1]['label']['value']; ?>" type="text" /> 
                                <div class="wv-badges-inline">
                                    <input type="checkbox" id="wv_level_1_label" name="wv_level[1][label][enable]" value="1" <?php checked($this->wvOptions['wv_level'][1]['label']['enable'] == 1); ?>/> 
                                    <label for="wv_level_1_label"><?php _e('Enable', 'wpdiscuz_likers'); ?></label>
                                </div>
                            </div>
                            <div><input type="text" class="wpdiscuz-color-picker regular-text" value="<?php echo $wvLvl1IconColor; ?>" name="wv_level[1][icon][color]" placeholder="<?php _e('Example: #00FF00', 'wpdiscuz_likers'); ?>"/></div>
                        </div>
                        <div class="wv_level_box">
                            <?php $wvLvl2IconColor = isset($this->wvOptions['wv_level'][2]['icon']['color']) ? $this->wvOptions['wv_level'][2]['icon']['color'] : '#E5D600'; ?>
                            <div style="text-align:center;">
                                <span class="wv-icon-preview">
                                    <i class="<?php echo $this->wvOptions['wv_level'][2]['icon']['value']; ?>" style="color:<?php echo $wvLvl2IconColor; ?>"></i>
                                </span>
                            </div>
                            <div>
                                <input placeholder="<?php _e('Total Votes', 'wpdiscuz_likers'); ?>" name="wv_level[2][vote][value]" value="<?php echo $this->wvOptions['wv_level'][2]['vote']['value']; ?>" type="number" />
                                <p style="font-size:12px; color:#999; margin:0px;"><?php _e('Total count of votes', 'wpdiscuz_likers'); ?></p>
                            </div>
                            <div>
                                <input class="wv-iconpicker" placeholder="<?php _e('Badge Icon', 'wpdiscuz_likers'); ?>" name="wv_level[2][icon][value]" value="<?php echo $this->wvOptions['wv_level'][2]['icon']['value']; ?>" type="text" /> 
                                <div class="wv-badges-inline">
                                    <input type="checkbox" id="wv_level_2_icon" name="wv_level[2][icon][enable]" value="1" <?php checked($this->wvOptions['wv_level'][2]['icon']['enable'] == 1); ?>/>
                                    <label for="wv_level_2_icon"><?php _e('Enable', 'wpdiscuz_likers'); ?></label>
                                </div>
                            </div>
                            <div>
                                <input placeholder="<?php _e('Custom Label', 'wpdiscuz_likers'); ?>" name="wv_level[2][label][value]" value="<?php echo $this->wvOptions['wv_level'][2]['label']['value']; ?>" type="text" />
                                <div class="wv-badges-inline">
                                    <input type="checkbox" id="wv_level_2_label" name="wv_level[2][label][enable]" value="1" <?php checked($this->wvOptions['wv_level'][2]['label']['enable'] == 1); ?>/>
                                    <label for="wv_level_2_label"><?php _e('Enable', 'wpdiscuz_likers'); ?></label>
                                </div>
                            </div>
                            <div><input type="text" class="wpdiscuz-color-picker regular-text" value="<?php echo $wvLvl2IconColor; ?>" name="wv_level[2][icon][color]" placeholder="<?php _e('Example: #00FF00', 'wpdiscuz_likers'); ?>"/></div>
                        </div>
                        <div class="wv_level_box">
                            <?php $wvLvl3IconColor = isset($this->wvOptions['wv_level'][3]['icon']['color']) ? $this->wvOptions['wv_level'][3]['icon']['color'] : '#FF812D'; ?>
                            <div style="text-align:center;">
                                <span class="wv-icon-preview">
                                    <i class="<?php echo $this->wvOptions['wv_level'][3]['icon']['value']; ?>" style="color:<?php echo $wvLvl3IconColor; ?>"></i>
                                </span>
                            </div>
                            <div>
                                <input placeholder="<?php _e('Total Votes', 'wpdiscuz_likers'); ?>" name="wv_level[3][vote][value]" value="<?php echo $this->wvOptions['wv_level'][3]['vote']['value']; ?>" type="number" />
                                <p style="font-size:12px; color:#999; margin:0px;"><?php _e('Total count of votes', 'wpdiscuz_likers'); ?></p>
                            </div>
                            <div>
                                <input class="wv-iconpicker" placeholder="<?php _e('Badge Icon', 'wpdiscuz_likers'); ?>" name="wv_level[3][icon][value]" value="<?php echo $this->wvOptions['wv_level'][3]['icon']['value']; ?>" type="text" /> 
                                <div class="wv-badges-inline">
                                    <input type="checkbox" id="wv_level_3_icon" name="wv_level[3][icon][enable]" value="1" <?php checked($this->wvOptions['wv_level'][3]['icon']['enable'] == 1); ?>/> 
                                    <label for="wv_level_3_icon"><?php _e('Enable', 'wpdiscuz_likers'); ?></label>
                                </div>
                            </div>
                            <div>
                                <input placeholder="<?php _e('Custom Label', 'wpdiscuz_likers'); ?>" name="wv_level[3][label][value]" value="<?php echo $this->wvOptions['wv_level'][3]['label']['value']; ?>" type="text" />
                                <div class="wv-badges-inline">
                                    <input type="checkbox" id="wv_level_3_label" name="wv_level[3][label][enable]" value="1" <?php checked($this->wvOptions['wv_level'][3]['label']['enable'] == 1); ?>/> 
                                    <label for="wv_level_3_label"><?php _e('Enable', 'wpdiscuz_likers'); ?></label>
                                </div>
                            </div>
                            <div><input type="text" class="wpdiscuz-color-picker regular-text" value="<?php echo $wvLvl3IconColor; ?>" name="wv_level[3][icon][color]" placeholder="<?php _e('Example: #00FF00', 'wpdiscuz_likers'); ?>"/></div>
                        </div>
                        <div class="wv_level_box">
                            <?php $wvLvl4IconColor = isset($this->wvOptions['wv_level'][4]['icon']['color']) ? $this->wvOptions['wv_level'][4]['icon']['color'] : '#43A6DF'; ?>
                            <div style="text-align:center;">
                                <span class="wv-icon-preview">
                                    <i class="<?php echo $this->wvOptions['wv_level'][4]['icon']['value']; ?>" style="color:<?php echo $wvLvl4IconColor; ?>"></i>
                                </span>
                            </div>
                            <div>
                                <input placeholder="<?php _e('Total Votes', 'wpdiscuz_likers'); ?>" name="wv_level[4][vote][value]" value="<?php echo $this->wvOptions['wv_level'][4]['vote']['value']; ?>" type="number" />
                                <p style="font-size:12px; color:#999; margin:0px;"><?php _e('Total count of votes', 'wpdiscuz_likers'); ?></p>
                            </div>
                            <div>
                                <input class="wv-iconpicker" placeholder="<?php _e('Badge Icon', 'wpdiscuz_likers'); ?>" name="wv_level[4][icon][value]" value="<?php echo $this->wvOptions['wv_level'][4]['icon']['value']; ?>" type="text" />
                                <div class="wv-badges-inline">
                                    <input type="checkbox" id="wv_level_4_icon" name="wv_level[4][icon][enable]" value="1" <?php checked($this->wvOptions['wv_level'][4]['icon']['enable'] == 1); ?>/> 
                                    <label for="wv_level_4_icon"><?php _e('Enable', 'wpdiscuz_likers'); ?></label>
                                </div>
                            </div>
                            <div>
                                <input placeholder="<?php _e('Custom Label', 'wpdiscuz_likers'); ?>" name="wv_level[4][label][value]" value="<?php echo $this->wvOptions['wv_level'][4]['label']['value']; ?>" type="text" />
                                <div class="wv-badges-inline">
                                    <input type="checkbox" id="wv_level_4_label" name="wv_level[4][label][enable]" value="1" <?php checked($this->wvOptions['wv_level'][4]['label']['enable'] == 1); ?>/>
                                    <label for="wv_level_4_label"><?php _e('Enable', 'wpdiscuz_likers'); ?></label>
                                </div>
                            </div>
                            <div><input type="text" class="wpdiscuz-color-picker regular-text" value="<?php echo $wvLvl4IconColor; ?>" name="wv_level[4][icon][color]" placeholder="<?php _e('Example: #00FF00', 'wpdiscuz_likers'); ?>"/></div>
                        </div>
                        <div class="wv_level_box">
                            <?php $wvLvl5IconColor = isset($this->wvOptions['wv_level'][5]['icon']['color']) ? $this->wvOptions['wv_level'][5]['icon']['color'] : '#E04A47'; ?>
                            <div style="text-align:center;">
                                <span class="wv-icon-preview">
                                    <i class="<?php echo $this->wvOptions['wv_level'][5]['icon']['value']; ?>" style="color:<?php echo $wvLvl5IconColor; ?>;"></i>
                                </span>
                            </div>
                            <div>
                                <input placeholder="<?php _e('Total Votes', 'wpdiscuz_likers'); ?>" name="wv_level[5][vote][value]" value="<?php echo $this->wvOptions['wv_level'][5]['vote']['value']; ?>" type="number" />
                                <p style="font-size:12px; color:#999; margin:0px;"><?php _e('Total count of votes', 'wpdiscuz_likers'); ?></p>
                            </div>
                            <div>
                                <input class="wv-iconpicker" placeholder="<?php _e('Badge Icon', 'wpdiscuz_likers'); ?>" name="wv_level[5][icon][value]" value="<?php echo $this->wvOptions['wv_level'][5]['icon']['value']; ?>" type="text" />
                                <div class="wv-badges-inline">
                                    <input type="checkbox" id="wv_level_5_icon" name="wv_level[5][icon][enable]" value="1" <?php checked($this->wvOptions['wv_level'][5]['icon']['enable'] == 1); ?>/>
                                    <label for="wv_level_5_icon"><?php _e('Enable', 'wpdiscuz_likers'); ?></label>
                                </div>
                            </div>
                            <div>
                                <input placeholder="<?php _e('Custom Label', 'wpdiscuz_likers'); ?>" name="wv_level[5][label][value]" value="<?php echo $this->wvOptions['wv_level'][5]['label']['value']; ?>" type="text" />
                                <div class="wv-badges-inline">
                                    <input type="checkbox" id="wv_level_5_label" name="wv_level[5][label][enable]" value="1" <?php checked($this->wvOptions['wv_level'][5]['label']['enable'] == 1); ?>/>
                                    <label for="wv_level_5_label"><?php _e('Enable', 'wpdiscuz_likers'); ?></label>
                                </div>
                            </div>
                            <div><input type="text" class="wpdiscuz-color-picker regular-text" value="<?php echo $wvLvl5IconColor; ?>" name="wv_level[5][icon][color]" placeholder="<?php _e('Example: #00FF00', 'wpdiscuz_likers'); ?>"/></div>
                        </div>
                        <div style="clear:both;"></div>
                    </div>
                    </td>
            </tr>
            <tr scope='row'>
                <td colspan="2">
                    <h3 style="padding:5px 10px 10px 10px; margin:0px;"><?php _e('Background and Colors', 'wpdiscuz_likers'); ?></h3>
                </td>
            </tr>
            <tr valign="top">
                <th>
                    <span class="wpdiscuz-option-title">
                        <?php _e("Likers quick pop-up background color", 'wpdiscuz_likers') ?>
                    </span>
                </th>
                <td>
                    <?php $bgColor = isset($this->wvOptions['wv_background_color']) ? $this->wvOptions['wv_background_color'] : '#FFFFFF'; ?>
                    <input type="text" class="wpdiscuz-color-picker regular-text" value="<?php echo $bgColor; ?>" id="voters_background_color" name="wv_background_color" placeholder="<?php _e('Example: #00FF00', 'wpdiscuz_likers'); ?>" />
                </td>
            </tr>
            <tr valign="top">
                <th>
                    <span class="wpdiscuz-option-title">
                        <?php _e("Likers quick pop-up border color", 'wpdiscuz_likers') ?>
                    </span>
                </th>
                <td>
                    <?php $borderColor = isset($this->wvOptions['wv_border_color']) ? $this->wvOptions['wv_border_color'] : '#999'; ?>
                    <input type="text" class="wpdiscuz-color-picker regular-text" value="<?php echo $borderColor; ?>" id="voters_border_color" name="wv_border_color" placeholder="<?php _e('Example: #00FF00', 'wpdiscuz_likers'); ?>">
                </td>
            </tr>
            <tr valign="top">
                <th>
                    <span class="wpdiscuz-option-title">
                        <?php _e("Like icon color", 'wpdiscuz_likers') ?>
                    </span>
                </th>
                <td>
                    <?php $upColor = isset($this->wvOptions['wv_up_color']) ? $this->wvOptions['wv_up_color'] : '#0F0'; ?>
                    <input type="text" class="wpdiscuz-color-picker regular-text" value="<?php echo $upColor; ?>" id="voters_background_color" name="wv_up_color" placeholder="<?php _e('Example: #00FF00', 'wpdiscuz_likers'); ?>">
                </td>
            </tr>
            <tr valign="top">
                <th>
                    <span class="wpdiscuz-option-title">
                        <?php _e("Dislike icon color", 'wpdiscuz_likers') ?>
                    </span>
                </th>
                <td>
                    <?php $downColor = isset($this->wvOptions['wv_down_color']) ? $this->wvOptions['wv_down_color'] : '#F00'; ?>
                    <input type="text" class="wpdiscuz-color-picker regular-text" value="<?php echo $downColor; ?>" id="voters_background_color" name="wv_down_color" placeholder="<?php _e('Example: #00FF00', 'wpdiscuz_likers'); ?>">
                </td>
            </tr>
            <tr scope="row">
                <th colspan='2'>
                    <h3 style="font-weight:normal; margin:0px; padding:10px 0px"><?php _e('Front-end Phrases', 'wpdiscuz_likers'); ?></h3>
                </th>
            </tr>  
            <tr valign="top">
                <th>
                    <label for="wv_guests"><span class="wpdiscuz-option-title"><?php _e('Guests', 'wpdiscuz_likers'); ?></span></label>
                </th>
                <td>
                    <?php
                    $phraseGuests = isset($this->wvPhrases['wv_guests']) ? $this->wvPhrases['wv_guests'] : __('Guests', 'wpdiscuz_likers');
                    ?>
                    <input type="text" style="padding: 3px 5px; width: 100%;" value="<?php echo $phraseGuests; ?>" id="wv_guests" name="wv_guests" />
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <label for="wv_view_all"><span class="wpdiscuz-option-title"><?php _e('View all', 'wpdiscuz_likers'); ?></span></label>
                </th>
                <td>
                    <?php
                    $phraseViewAll = isset($this->wvPhrases['wv_view_all']) ? $this->wvPhrases['wv_view_all'] : __('View all', 'wpdiscuz_likers');
                    ?>
                    <input type="text" style="padding: 3px 5px; width: 100%;" value="<?php echo $phraseViewAll; ?>" id="wv_view_all" name="wv_view_all" />
                </td>                
            </tr>
            <tr valign="top">
                <td colspan="2">
                    <a class="wv_reset_options button" href="<?php echo admin_url(); ?>edit-comments.php?page=wpdiscuz_options_page&wv_reset_options=1&_wv_nonce=<?php echo wp_create_nonce('wv_nonce') ?>">
                        <?php _e('Reset voters options', 'wpdiscuz_likers'); ?>
                    </a>
                </td>
            </tr>
        </tbody>
    </table>
</div>