<?php

if (!defined('ABSPATH')) {
    exit();
}
ob_start();
if (isset($_POST['wcaiAjaxData']) && $_POST['wcaiAjaxData']) {
    parse_str($_POST['wcaiAjaxData'], $data);
    $page = isset($data['page']) ? intval($data['page']) : 0;
    $commentId = isset($data['commentId']) ? $data['commentId'] : 0;
    $action = isset($data['action']) ? $data['action'] : '';
    $comment = get_comment($commentId);
    if ($comment && $action) {
        $lrItemsCount = 3;
        $perPage = $this->options->perPage;
        $offset = $page * $perPage;
        $args = array('number' => $perPage, 'status' => 'approve', 'offset' => $offset);
        $user = get_user_by('ID', $comment->user_id);
        if (!$user && $wpdiscuz->optionsSerialized->isUserByEmail) {
            $user = get_user_by('email', $comment->comment_author_email);
        }

        if (isset($user->ID)) {
            $args['user_id'] = $user->ID;
        } else if (isset($comment->comment_author_email)) {
            $args['author_email'] = $comment->comment_author_email;
        }
        $items = get_comments($args);
        if ($items && is_array($items)) {
            $args['number'] = null;
            $args['count'] = true;
            $allComments = get_comments($args);
            $pCount = intval($allComments / $perPage);
            $pageCount = ($allComments % $perPage == 0) ? $pCount : $pCount + 1;            
            foreach ($items as $item) {
                $post = get_post($item->comment_post_ID);
                include 'item.php';
            }
            include WCAI_DIR_PATH . '/includes/layouts/pagination.php';
        }
    }
}
$html .= ob_get_contents();
ob_end_clean();
