<?php
if (!defined('ABSPATH')) {
    exit();
}
?>
<div class="wcai-item">
    <div class="wcai-item-left">
        <i class="fas <?php echo $voteIcon; ?>" style="color: <?php echo $voteColor; ?>;"></i>
    </div>
    <div class="wcai-item-right">
        <div class="wcai-item-link wcai-comment-meta">
            <i class="fas fa-user"></i> 
            <?php echo $item->comment_author; ?> &nbsp; 
            <i class="fas fa-calendar-alt"></i> 
            <?php echo $this->getCommentDate($item); ?>
        </div>
        <div class="wcai-item-link wcai-comment-item-link">
            <a class="wcai-comment-link" href="<?php echo get_comment_link($item); ?>" target="_blank">
                <?php echo wp_trim_words($item->comment_content, 20, '&hellip;'); ?>
            </a>
        </div>
        <div class="wcai-item-link wcai-post-item-link">
            <span><?php print $this->options->phraseVotesInResponseTo ? $this->options->phraseVotesInResponseTo : __('In Response To:', 'wpdiscuz-comment-author-info'); ?></span>
            <a class="wcai-post-link" href="<?php echo get_permalink($item->comment_post_ID); ?>" target="_blank">
                <?php echo get_the_title($item->comment_post_ID); ?>
            </a>
        </div>
    </div>
    <div class="wcai-clear"></div>
</div>