jQuery(document).ready(function ($) {
    $('body').click(function () {
        $('.wpdiscuz_smil-tooltip-contain').hide();
    });

    $(document).delegate('.wpdiscuz_smil-tooltip-contain', 'click', function () {
        $(this).show();
    });

    $(document).delegate('.wpdiscuz-smil-icon', 'click', function () {
        var wpdiscuzSmilIconId = $(this).attr('id');
        var uniqueId = wpdiscuzSmilIconId.substring(wpdiscuzSmilIconId.lastIndexOf('-') + 1);
        $('#wpdiscuz_smil-' + uniqueId).toggle();
    });

    $(document).delegate('.wpdiscuz-dialog-smile', 'click', function () {
        var uniqueId = wpdiscuzSmileUniqueId($(this), '.wpdiscuz-smile-container');
        var smileCode = $(this).data('emoticon-code');
        if (smileCode.length && uniqueId.length) {
            smileCode = ' :' + smileCode + ': ';
            if (uniqueId === 'quicktags') {
                $('.wp-editor-container textarea').insertAtCaret(smileCode);
                tinyMCE.activeEditor.execCommand('mceInsertContent', 0, smileCode);
            } else if (uniqueId === '0_0') {
                $('#wc-main-form-wrapper-0_0 textarea.wc_comment').insertAtCaret(smileCode);
            } else {
                $('#wc-secondary-form-wrapper-' + uniqueId + ' textarea.wc_comment').insertAtCaret(smileCode);
            }
        }
    });

    function wpdiscuzSmileUniqueId(field, select) {
        var uniqueId = 0;
        if (field.parents(select).attr('id')) {
            uniqueId = field.parents(select).attr('id');
        }
        if (uniqueId !== 0 && uniqueId.length) {
            uniqueId = uniqueId.substring(uniqueId.lastIndexOf('-') + 1);
        }
        return uniqueId;
    }
    $('.bbp-the-content').after($('#wpdiscuz-smile-bbp').html());
});

jQuery.fn.extend({
    insertAtCaret: function (myValue) {
        return this.each(function (i) {
            if (document.selection) {
                this.focus();
                var sel = document.selection.createRange();
                sel.text = myValue;
                this.focus();
            } else if (this.selectionStart || this.selectionStart == '0') {
                var startPos = this.selectionStart;
                var endPos = this.selectionEnd;
                var scrollTop = this.scrollTop;
                this.value = this.value.substring(0, startPos) + myValue + this.value.substring(endPos, this.value.length);
                this.focus();
                this.selectionStart = startPos + myValue.length;
                this.selectionEnd = startPos + myValue.length;
                this.scrollTop = scrollTop;
            } else {
                this.value += myValue;
                this.focus();
            }
        });
    }
});