<?php
if (!defined('ABSPATH')) {
    exit();
}
?>
<div class="wpdiscuz-frontend-moderation-settings">
    <h3 style="padding:5px 10px 10px 10px; margin:0px; text-align:right; border-bottom:1px solid #ddd; max-width:40%; margin:0px 0px 20px auto; font-weight:normal;"><?php _e('wpDiscuz Front-end Moderation', 'wpdiscuz-frontend-moderation'); ?></h3>
    <table class="wp-list-table widefat plugins wpdxb" style="margin-top:10px; border:none;">
        <tbody>            
            <tr valign="top">
                <th style="width:50%;">
                    <label for="fem_user_can_delete"><?php _e('Allow Users Delete Comment', 'wpdiscuz-frontend-moderation'); ?></label>
                </th>
                <td>
                    <div class="wpd-switch-field">
                        <input type="checkbox" <?php checked($this->options['fem_user_can_delete'] === 'yes') ?> value="yes" name="fem_user_can_delete" id="fem_user_can_delete" /><label for="fem_user_can_delete"></label>
                    </div>
                </td>                
            </tr>
            <tr scope="row">
                <th colspan="2">
                    <h3 style="margin:0px; padding:10px 0px"><?php _e('Background and Colors', 'wpdiscuz-frontend-moderation'); ?></h3>
                </th>
            </tr>
            <tr valign="top">
                <th>
                    <label><?php _e('Moderation Form Background Color', 'wpdiscuz-frontend-moderation'); ?></label>
                </th>
                <td>
                    <input type="text" class="wpdiscuz-color-picker regular-text" style="padding: 3px 5px;" value="<?php echo esc_attr($this->options['fem_form_bg_color']); ?>" id="fem_form_bg_color" name="fem_form_bg_color" placeholder="<?php _e('Example: #00FF00', 'wpdiscuz'); ?>"/>                    
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <label><?php _e('Moderation Form Border Color', 'wpdiscuz-frontend-moderation'); ?></label>
                </th>
                <td>
                    <input type="text" class="wpdiscuz-color-picker regular-text" style="padding: 3px 5px;" value="<?php echo esc_attr($this->options['fem_form_border_color']); ?>" id="fem_form_border_color" name="fem_form_border_color" placeholder="<?php _e('Example: #00FF00', 'wpdiscuz'); ?>"/>
                </td>
            </tr>
            <tr valign="top">
                <th>
                    <label><?php _e('Moderation Separator Color', 'wpdiscuz-frontend-moderation'); ?></label>
                </th>
                <td>
                    <input type="text" class="wpdiscuz-color-picker regular-text" style="padding: 3px 5px;" value="<?php echo esc_attr($this->options['fem_text_bottom_line_color']); ?>" id="fem_text_bottom_line_color" name="fem_text_bottom_line_color" placeholder="<?php _e('Example: #00FF00', 'wpdiscuz'); ?>"/>
                </td>
            </tr>
            <tr scope="row">
                <th colspan="2">
                    <h3 style="margin:0px; padding:10px 0px"><?php _e('Front-end Phrases', 'wpdiscuz-frontend-moderation'); ?></h3>
                </th>
            </tr>            
            <tr valign="top">
                <th>
                    <label for="fem_phrase_moderate"><span class="wpdiscuz-option-title"><?php _e('Moderate', 'wpdiscuz-frontend-moderation'); ?></span></label>
                </th>
                <td>
                    <input type="text" style="padding: 3px 5px; width: 100%;" value="<?php echo esc_attr($this->phrases['fem_phrase_moderate']); ?>" id="fem_phrase_moderate" name="fem_phrase_moderate" />
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <label for="fem_phrase_approve"><span class="wpdiscuz-option-title"><?php _e('Approve', 'wpdiscuz-frontend-moderation'); ?></span></label>
                </th>
                <td>
                    <input type="text" style="padding: 3px 5px; width: 100%;" value="<?php echo esc_attr($this->phrases['fem_phrase_approve']); ?>" id="fem_phrase_approve" name="fem_phrase_approve" />
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <label for="fem_phrase_unapprove"><span class="wpdiscuz-option-title"><?php _e('Unapprove', 'wpdiscuz-frontend-moderation'); ?></span></label>
                </th>
                <td>
                    <input type="text" style="padding: 3px 5px; width: 100%;" value="<?php echo esc_attr($this->phrases['fem_phrase_unapprove']); ?>" id="fem_phrase_unapprove" name="fem_phrase_unapprove" />
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <label for="fem_phrase_trash"><span class="wpdiscuz-option-title"><?php _e('Trash', 'wpdiscuz-frontend-moderation'); ?></span></label>
                </th>
                <td>
                    <input type="text" style="padding: 3px 5px; width: 100%;" value="<?php echo esc_attr($this->phrases['fem_phrase_trash']); ?>" id="fem_phrase_trash" name="fem_phrase_trash" />
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <label for="fem_phrase_spam"><span class="wpdiscuz-option-title"><?php _e('Spam', 'wpdiscuz-frontend-moderation'); ?></span></label>
                </th>
                <td>
                    <input type="text" style="padding: 3px 5px; width: 100%;" value="<?php echo esc_attr($this->phrases['fem_phrase_spam']); ?>" id="fem_phrase_spam" name="fem_phrase_spam" />
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <label for="fem_phrase_email"><span class="wpdiscuz-option-title"><?php _e('Email', 'wpdiscuz-frontend-moderation'); ?></span></label>
                </th>
                <td>
                    <input type="text" style="padding: 3px 5px; width: 100%;" value="<?php echo esc_attr($this->phrases['fem_phrase_email']); ?>" id="fem_phrase_email" name="fem_phrase_email" />
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <label for="fem_phrase_move"><span class="wpdiscuz-option-title"><?php _e('Move', 'wpdiscuz-frontend-moderation'); ?></span></label>
                </th>
                <td>
                    <input type="text" style="padding: 3px 5px; width: 100%;" value="<?php echo esc_attr($this->phrases['fem_phrase_move']); ?>" id="fem_phrase_move" name="fem_phrase_move" />
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <label for="fem_phrase_blacklist"><span class="wpdiscuz-option-title"><?php _e('Blacklist', 'wpdiscuz-frontend-moderation'); ?></span></label>
                </th>
                <td>
                    <input type="text" style="padding: 3px 5px; width: 100%;" value="<?php echo esc_attr($this->phrases['fem_phrase_blacklist']); ?>" id="fem_phrase_blacklist" name="fem_phrase_blacklist" />
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <label for="fem_phrase_delete"><span class="wpdiscuz-option-title"><?php _e('Delete', 'wpdiscuz-frontend-moderation'); ?></span></label>
                </th>
                <td>
                    <input type="text" style="padding: 3px 5px; width: 100%;" value="<?php echo esc_attr($this->phrases['fem_phrase_delete']); ?>" id="fem_phrase_delete" name="fem_phrase_delete" />
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <label for="fem_phrase_restore"><span class="wpdiscuz-option-title"><?php _e('Restore', 'wpdiscuz-frontend-moderation'); ?></span></label>
                </th>
                <td>
                    <input type="text" style="padding: 3px 5px; width: 100%;" value="<?php echo esc_attr($this->phrases['fem_phrase_restore']); ?>" id="fem_phrase_restore" name="fem_phrase_restore" />
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <label for="fem_phrase_not_spam"><span class="wpdiscuz-option-title"><?php _e('Not Spam', 'wpdiscuz-frontend-moderation'); ?></span></label>
                </th>
                <td>
                    <input type="text" style="padding: 3px 5px; width: 100%;" value="<?php echo esc_attr($this->phrases['fem_phrase_not_spam']); ?>" id="fem_phrase_not_spam" name="fem_phrase_not_spam" />
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <label for="fem_phrase_email_subject"><span class="wpdiscuz-option-title"><?php _e('Email Subject', 'wpdiscuz-frontend-moderation'); ?></span></label>
                </th>
                <td>
                    <input type="text" style="padding: 3px 5px; width: 100%;" value="<?php echo esc_attr($this->phrases['fem_phrase_email_subject']); ?>" id="fem_phrase_email_subject" name="fem_phrase_email_subject" />
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <label for="fem_phrase_email_message"><span class="wpdiscuz-option-title"><?php _e('Enter your message here', 'wpdiscuz-frontend-moderation'); ?></span></label>
                </th>
                <td>
                    <input type="text" style="padding: 3px 5px; width: 100%;" value="<?php echo esc_attr($this->phrases['fem_phrase_email_message']); ?>" id="fem_phrase_email_message" name="fem_phrase_email_message" />
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <label for="fem_phrase_going_to_mail"><span class="wpdiscuz-option-title"><?php _e('You are going to send email to', 'wpdiscuz-frontend-moderation'); ?></span></label>
                </th>
                <td>
                    <input type="text" style="padding: 3px 5px; width: 100%;" value="<?php echo esc_attr($this->phrases['fem_phrase_going_to_mail']); ?>" id="fem_phrase_going_to_mail" name="fem_phrase_going_to_mail" />
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <label for="fem_phrase_send"><span class="wpdiscuz-option-title"><?php _e('Send', 'wpdiscuz-frontend-moderation'); ?></span></label>
                </th>
                <td>
                    <input type="text" style="padding: 3px 5px; width: 100%;" value="<?php echo esc_attr($this->phrases['fem_phrase_send']); ?>" id="fem_phrase_send" name="fem_phrase_send" />
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <label for="fem_phrase_move_comment"><span class="wpdiscuz-option-title"><?php _e('Move Comment', 'wpdiscuz-frontend-moderation'); ?></span></label>
                </th>
                <td>
                    <input type="text" style="padding: 3px 5px; width: 100%;" value="<?php echo esc_attr($this->phrases['fem_phrase_move_comment']); ?>" id="fem_phrase_move_comment" name="fem_phrase_move_comment" />
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <label for="fem_phrase_post_title"><span class="wpdiscuz-option-title"><?php _e('Enter post title...', 'wpdiscuz-frontend-moderation'); ?></span></label>
                </th>
                <td>
                    <input type="text" style="padding: 3px 5px; width: 100%;" value="<?php echo esc_attr($this->phrases['fem_phrase_post_title']); ?>" id="fem_phrase_post_title" name="fem_phrase_post_title" />
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <label for="fem_phrase_confirm"><span class="wpdiscuz-option-title"><?php _e('Are you sure you want to set this comment as', 'wpdiscuz-frontend-moderation'); ?></span></label>
                </th>
                <td>
                    <input type="text" style="padding: 3px 5px; width: 100%;" value="<?php echo esc_attr($this->phrases['fem_phrase_confirm']); ?>" id="fem_phrase_confirm" name="fem_phrase_confirm" />
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <label for="fem_phrase_unapproved"><span class="wpdiscuz-option-title"><?php _e('unapproved', 'wpdiscuz-frontend-moderation'); ?></span></label>
                </th>
                <td>
                    <input type="text" style="padding: 3px 5px; width: 100%;" value="<?php echo esc_attr($this->phrases['fem_phrase_unapproved']); ?>" id="fem_phrase_unapproved" name="fem_phrase_unapproved" />
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <label for="fem_phrase_approved"><span class="wpdiscuz-option-title"><?php _e('approved', 'wpdiscuz-frontend-moderation'); ?></span></label>
                </th>
                <td>
                    <input type="text" style="padding: 3px 5px; width: 100%;" value="<?php echo esc_attr($this->phrases['fem_phrase_approved']); ?>" id="fem_phrase_approved" name="fem_phrase_approved" />
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <label for="fem_phrase_trashed"><span class="wpdiscuz-option-title"><?php _e('trashed', 'wpdiscuz-frontend-moderation'); ?></span></label>
                </th>
                <td>
                    <input type="text" style="padding: 3px 5px; width: 100%;" value="<?php echo esc_attr($this->phrases['fem_phrase_trashed']); ?>" id="fem_phrase_trashed" name="fem_phrase_trashed" />
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <label for="fem_phrase_spam_confirm"><span class="wpdiscuz-option-title"><?php _e('spam', 'wpdiscuz-frontend-moderation'); ?></span></label>
                </th>
                <td>
                    <input type="text" style="padding: 3px 5px; width: 100%;" value="<?php echo esc_attr($this->phrases['fem_phrase_spam_confirm']); ?>" id="fem_phrase_spam_confirm" name="fem_phrase_spam_confirm" />
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <label for="fem_phrase_confirm_blacklist"><span class="wpdiscuz-option-title"><?php _e('Are you sure you want to move this user into blacklist', 'wpdiscuz-frontend-moderation'); ?></span></label>
                </th>
                <td>
                    <input type="text" style="padding: 3px 5px; width: 100%;" value="<?php echo esc_attr($this->phrases['fem_phrase_confirm_blacklist']); ?>" id="fem_phrase_confirm_blacklist" name="fem_phrase_confirm_blacklist" />
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <label for="fem_phrase_confirm_delete"><span class="wpdiscuz-option-title"><?php _e('Are you sure you want to delete this comment', 'wpdiscuz-frontend-moderation'); ?></span></label>
                </th>
                <td>
                    <input type="text" style="padding: 3px 5px; width: 100%;" value="<?php echo esc_attr($this->phrases['fem_phrase_confirm_delete']); ?>" id="fem_phrase_confirm_delete" name="fem_phrase_confirm_delete" />
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <label for="fem_phrase_status_trashed"><span class="wpdiscuz-option-title"><?php _e('Comment successfully trashed', 'wpdiscuz-frontend-moderation'); ?></span></label>
                </th>
                <td>
                    <input type="text" style="padding: 3px 5px; width: 100%;" value="<?php echo esc_attr($this->phrases['fem_phrase_status_trashed']); ?>" id="fem_phrase_status_trashed" name="fem_phrase_status_trashed" />
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <label for="fem_phrase_status_spam"><span class="wpdiscuz-option-title"><?php _e('Comment set as spam successfully', 'wpdiscuz-frontend-moderation'); ?></span></label>
                </th>
                <td>
                    <input type="text" style="padding: 3px 5px; width: 100%;" value="<?php echo esc_attr($this->phrases['fem_phrase_status_spam']); ?>" id="fem_phrase_status_spam" name="fem_phrase_status_spam" />
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <label for="fem_phrase_status_approved"><span class="wpdiscuz-option-title"><?php _e('Comment successfully approved', 'wpdiscuz-frontend-moderation'); ?></span></label>
                </th>
                <td>
                    <input type="text" style="padding: 3px 5px; width: 100%;" value="<?php echo esc_attr($this->phrases['fem_phrase_status_approved']); ?>" id="fem_phrase_status_approved" name="fem_phrase_status_approved" />
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <label for="fem_phrase_status_unapproved"><span class="wpdiscuz-option-title"><?php _e('Comment successfully unapproved', 'wpdiscuz-frontend-moderation'); ?></span></label>
                </th>
                <td>
                    <input type="text" style="padding: 3px 5px; width: 100%;" value="<?php echo esc_attr($this->phrases['fem_phrase_status_unapproved']); ?>" id="fem_phrase_status_unapproved" name="fem_phrase_status_unapproved" />
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <label for="fem_phrase_ops_message"><span class="wpdiscuz-option-title"><?php _e('Ops!!! Something is wrong', 'wpdiscuz-frontend-moderation'); ?></span></label>
                </th>
                <td>
                    <input type="text" style="padding: 3px 5px; width: 100%;" value="<?php echo esc_attr($this->phrases['fem_phrase_ops_message']); ?>" id="fem_phrase_ops_message" name="fem_phrase_ops_message" />
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <label for="fem_phrase_cant_moderate"><span class="wpdiscuz-option-title"><?php _e('You can\'t moderate this comment', 'wpdiscuz-frontend-moderation'); ?></span></label>
                </th>
                <td>
                    <input type="text" style="padding: 3px 5px; width: 100%;" value="<?php echo esc_attr($this->phrases['fem_phrase_cant_moderate']); ?>" id="fem_phrase_cant_moderate" name="fem_phrase_cant_moderate" />
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <label for="fem_phrase_blacklist_success"><span class="wpdiscuz-option-title"><?php _e('User is added to the blacklist successfully', 'wpdiscuz-frontend-moderation'); ?></span></label>
                </th>
                <td>
                    <input type="text" style="padding: 3px 5px; width: 100%;" value="<?php echo esc_attr($this->phrases['fem_phrase_blacklist_success']); ?>" id="fem_phrase_blacklist_success" name="fem_phrase_blacklist_success" />
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <label for="fem_phrase_blacklist_ops_message"><span class="wpdiscuz-option-title"><?php _e('Ops!!! Something is wrong. Maybe this user already exist in the blacklist', 'wpdiscuz-frontend-moderation'); ?></span></label>
                </th>
                <td>
                    <input type="text" style="padding: 3px 5px; width: 100%;" value="<?php echo esc_attr($this->phrases['fem_phrase_blacklist_ops_message']); ?>" id="fem_phrase_blacklist_ops_message" name="fem_phrase_blacklist_ops_message" />
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <label for="fem_phrase_blacklist_cant_set"><span class="wpdiscuz-option-title"><?php _e('The user cannot be added in blacklist', 'wpdiscuz-frontend-moderation'); ?></span></label>
                </th>
                <td>
                    <input type="text" style="padding: 3px 5px; width: 100%;" value="<?php echo esc_attr($this->phrases['fem_phrase_blacklist_cant_set']); ?>" id="fem_phrase_blacklist_cant_set" name="fem_phrase_blacklist_cant_set" />
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <label for="fem_phrase_ok"><span class="wpdiscuz-option-title"><?php _e('OK', 'wpdiscuz-frontend-moderation'); ?></span></label>
                </th>
                <td>
                    <input type="text" style="padding: 3px 5px; width: 100%;" value="<?php echo esc_attr($this->phrases['fem_phrase_ok']); ?>" id="fem_phrase_ok" name="fem_phrase_ok" />
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <label for="fem_phrase_move_response_success"><span class="wpdiscuz-option-title"><?php _e('Comment successfully moved', 'wpdiscuz-frontend-moderation'); ?></span></label>
                </th>
                <td>
                    <input type="text" style="padding: 3px 5px; width: 100%;" value="<?php echo esc_attr($this->phrases['fem_phrase_move_response_success']); ?>" id="fem_phrase_move_response_success" name="fem_phrase_move_response_success" />
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <label for="fem_phrase_fill_correct_data"><span class="wpdiscuz-option-title"><?php _e('Please fill correct data', 'wpdiscuz-frontend-moderation'); ?></span></label>
                </th>
                <td>
                    <input type="text" style="padding: 3px 5px; width: 100%;" value="<?php echo esc_attr($this->phrases['fem_phrase_fill_correct_data']); ?>" id="fem_phrase_fill_correct_data" name="fem_phrase_fill_correct_data" />
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <label for="fem_phrase_delete_cant_delete"><span class="wpdiscuz-option-title"><?php _e('You can\'t delete this comment', 'wpdiscuz-frontend-moderation'); ?></span></label>
                </th>
                <td>
                    <input type="text" style="padding: 3px 5px; width: 100%;" value="<?php echo esc_attr($this->phrases['fem_phrase_delete_cant_delete']); ?>" id="fem_phrase_delete_cant_delete" name="fem_phrase_delete_cant_delete" />
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <label for="fem_phrase_email_cant_mail"><span class="wpdiscuz-option-title"><?php _e('You can\'t send mail to this user', 'wpdiscuz-frontend-moderation'); ?></span></label>
                </th>
                <td>
                    <input type="text" style="padding: 3px 5px; width: 100%;" value="<?php echo esc_attr($this->phrases['fem_phrase_email_cant_mail']); ?>" id="fem_phrase_email_cant_mail" name="fem_phrase_email_cant_mail" />
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <label for="fem_phrase_email_dont_sended"><span class="wpdiscuz-option-title"><?php _e('Message has not been sent', 'wpdiscuz-frontend-moderation'); ?></span></label>
                </th>
                <td>
                    <input type="text" style="padding: 3px 5px; width: 100%;" value="<?php echo esc_attr($this->phrases['fem_phrase_email_dont_sended']); ?>" id="fem_phrase_email_dont_sended" name="fem_phrase_email_dont_sended" />
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <label for="fem_phrase_email_success"><span class="wpdiscuz-option-title"><?php _e('Your message has been sent successfully', 'wpdiscuz-frontend-moderation'); ?></span></label>
                </th>
                <td>
                    <input type="text" style="padding: 3px 5px; width: 100%;" value="<?php echo esc_attr($this->phrases['fem_phrase_email_success']); ?>" id="fem_phrase_email_success" name="fem_phrase_email_success" />
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <label for="fem_phrase_please_fill"><span class="wpdiscuz-option-title"><?php _e('Please fill out the field', 'wpdiscuz-frontend-moderation'); ?></span></label>
                </th>
                <td>
                    <input type="text" style="padding: 3px 5px; width: 100%;" value="<?php echo esc_attr($this->phrases['fem_phrase_please_fill']); ?>" id="fem_phrase_please_fill" name="fem_phrase_please_fill" />
                </td>                
            </tr>
            <tr valign="top">
                <th>
                    <label for="fem_phrase_choose_post"><span class="wpdiscuz-option-title"><?php _e('Please choose post', 'wpdiscuz-frontend-moderation'); ?></span></label>
                </th>
                <td>
                    <input type="text" style="padding: 3px 5px; width: 100%;" value="<?php echo esc_attr($this->phrases['fem_phrase_choose_post']); ?>" id="fem_phrase_choose_post" name="fem_phrase_choose_post" />
                </td>                
            </tr>
            <tr valign="top">
                <td colspan="2">
                    <a class="fem_reset_options button" href="<?php echo admin_url(); ?>edit-comments.php?page=wpdiscuz_options_page&fem_reset_options=1&_fem_nonce=<?php echo wp_create_nonce('fem_nonce') ?>"><?php _e('Reset Options', 'wpdiscuz-frontend-moderation'); ?></a>
                </td>
            </tr>
        </tbody>
    </table>
</div>