<?php

if (!defined('ABSPATH')) {
    exit();
}

class WMUDBManager implements WMUConstants {

    private $db;
    private $dbprefix;

    function __construct() {
        global $wpdb;
        $this->db = $wpdb;
        $this->dbprefix = $wpdb->prefix;
    }

    public function getAttachments($commentId) {
        $data = array();
        if ($commentId) {
            $sql = $this->db->prepare("SELECT `meta_key`, `meta_value` FROM `" . $this->dbprefix . "commentmeta` WHERE `comment_id` = %d AND `meta_key` IN ('" . self::METAKEY_IMAGE . "', '" . self::METAKEY_VIDEO . "', '" . self::METAKEY_FILE . "');", $commentId);
            $data = $this->db->get_results($sql, ARRAY_A);
        }
        return $data;
    }

}
