jQuery(document).ready(function ($) {
    var commentId;
    var hash;

    /*open email dialog*/
//    $(document).delegate('.comment_flag', 'click', function () {
//        $(".fc-popup").slideToggle(300);
//        var id = $(this).attr('id');
//        id = id.substring(3);
//        comID = id;
//        $('.wpdiscuz-loading-bar').show();
//        $('.tooltipster-fade-show').hide();
//        hash = Math.floor(Math.random() * 1000000) + 100000;
//        if (wpdiscuzAjaxObj.wpdiscuz_options.isCookiesEnabled) {
//            Cookies.set("user_ip", hash, {expires: 1, path: '/'});
//        }
//        getAjax(comID, 'flag', null, null, null, hash);
//    });
//
//    $(document).delegate('.fc-send', 'click', function () {
//        var reportChecked = $('input[name=wpdiscuz_report]:checked').val();
//        var reportMessage = $('textarea[name=wpdiscuz_message]').val();
//        var type = 'send';
//        $('.wpdiscuz-loading-bar').show();
//        getAjax(comID, type, reportMessage, reportChecked, guestEmail);
//    });

    function getAjax(data, param, message, report, guestEmail, hash) {
        var currentObject = $('#fc_' + data);
        $.ajax({
            type: "POST",
            url: wpdiscuzAjaxObj.url,
            data: {
                action: wpdiscuzAjaxObj.wpdiscuz_options.fc_action,
                commId: data,
                message: message,
                param: param,
                report: report,
                guestEmail: guestEmail,
                userip: hash
            },
            success: function (response) {
                $('.wpdiscuz-loading-bar').hide();
                var o = $.parseJSON(response);
                if (o.code == 1) {
                    var k = $("#fc_" + comID).css('color', '#00B38F');
                    $(".fc_msg").addClass("fc_success_msg");
                    $(".fc_success_msg").html(o.message);
                    $('.fc-popup').delay(2000).fadeOut(100, function () {
                        fcResetWindow(1);
                    });
                } else if (o.code == 2) {
                    $(".fc_msg").removeClass("fc_success_msg");
                    $(".fc_msg").addClass("fc_error_msg");
                    $(".fc_error_msg").html(o.message);
                } else if (o.code == 0) {
                    wpdiscuzAjaxObj.setCommentMessage(currentObject, 'trans-error-dialog', o.message, false);
                } else if (o.code == 3) {
                } else {
                    $(".fc_msg").html(response);
                }
            },
            error: function (errorThrown) {
                console.log(errorThrown);
            }
        });
    }

    $(document).delegate('.comment_flag', 'click', function () {
        var clicked = $(this);
        var commentId = clicked.attr('id').substring(3);
        if (clicked.hasClass('comment_flag_modal')) {
            $(".fc-popup").slideToggle(300, function () {
                $('#wpdiscuz_fc_commentid').val(commentId);
            });
        } else {
            fcReport(commentId);
        }
    });

    function fcReport(commentId) {
        var data = 'commentId=' + commentId;
        var ajax = fcGetAjax('fcReport', data);
        ajax.done(function (response) {
            try {
                var r = $.parseJSON(response);
                var clicked = $('#fc_' + commentId);
                if (r.code) {
                    clicked.css('color', wpdiscuzAjaxObj.wpdiscuz_options.primaryColor);
                    clicked.addClass('fc_flagged');
                } else {
                    wpdiscuzAjaxObj.setCommentMessage(clicked, 'trans-error-dialog', r.message, false);
                }
            } catch (e) {
                console.log(e);
            }
            $('.wpdiscuz-loading-bar').fadeOut(250);
        });
    }


    $(document).delegate('.fc-send', 'click', function () {
        var data = $('#wpdiscuz_fc_form').serialize();
        console.log(data);
        var ajax = fcGetAjax('fcReportEmail', data);
        ajax.done(function (response) {
            try {
                var r = $.parseJSON(response);
                var clicked = $('#fc_' + r.commentId);
                if (r.code) {
                    clicked.css('color', wpdiscuzAjaxObj.wpdiscuz_options.primaryColor);
                    clicked.addClass('fc_flagged');
                    fcResetWindow(2);
                } else {
                    $(".fc_msg").removeClass("fc_success_msg");
                    $(".fc_msg").addClass("fc_error_msg").html(r.message);                    
                }

            } catch (e) {
                console.log(e);
            }
            $('.wpdiscuz-loading-bar').fadeOut(250);
        });
    });

    $(document).delegate('.fc-close, .fc-email', 'click', function () {
        fcResetWindow();
    });

    function fcResetWindow(a) {
        if (a != 1) {
            $(".fc-popup").slideToggle(300);
        }
        $(".fc_msg").html('');
        $('#wpdiscuz_fc_form')[0].reset();
    }

    if ($('input[name="wpdiscuz_report"]:checked').val() == 'other') {
        $('.fc-message-area').show();
    } else {
        $('.fc-message-area').hide();
    }

    $('input[name="wpdiscuz_report"]').on('change', function () {
        if ($(this).val() == 'other') {
            $('.fc-message-area').show();
        } else {
            $('.fc-message-area').hide();
        }
    });

    /**
     * @param {type} action the action key 
     * @param {type} data the request properties
     * @returns {jqXHR}
     */
    function fcGetAjax(action, data) {
        $('.wpdiscuz-loading-bar').show();
        return $.ajax({
            type: 'POST',
            url: wpdiscuzAjaxObj.url,
            data: {
                fcAjaxData: data,
                action: action
            }
        });
    }
});